Bug 1975671 (CVE-2021-23159) - CVE-2021-23159 sox: heap based overflow in formats_i.c
Summary: CVE-2021-23159 sox: heap based overflow in formats_i.c
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2021-23159
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1978787 1978788
Blocks: 1966935
TreeView+ depends on / blocked
 
Reported: 2021-06-24 07:45 UTC by Dhananjay Arunesh
Modified: 2021-09-02 11:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-02 22:40:30 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2021-06-24 07:45:41 UTC
A vulnerability was found in SoX, where a heap based overflow was found in  formats_i.c:376, function lsx_read_w_buf.

References:
https://sourceforge.net/p/sox/bugs/352/

Comment 3 gkamathe 2021-07-02 18:08:03 UTC
Created sox tracking bugs for this issue:

Affects: epel-8 [bug 1978788]
Affects: fedora-all [bug 1978787]

Comment 4 Product Security DevOps Team 2021-07-02 22:40:30 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-23159


Note You need to log in before you can comment on or make changes to this bug.